/**
 * @author Paul Lödige (Matrikel: 15405036)
 */

package com.ploedige.fragments;

import android.app.Activity;
import android.content.DialogInterface;
import android.os.Bundle;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;

import java.sql.BatchUpdateException;

public class Fragment1 extends Fragment {

    Fragment1Listener buttonCallback;

    public interface Fragment1Listener{
        public void onFragment1ButtonClick(String firstName, String lastName);
    }

    public Fragment1() {
        // Required empty public constructor
    }
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        View view = inflater.inflate(R.layout.fragment_1, container, false);

        Button jump_btn = (Button) view.findViewById(R.id.jump_btn);
        jump_btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                EditText firstName_etxt = (EditText) view.findViewById(R.id.firstName_etxt);
                EditText lastName_etxt = (EditText) view.findViewById(R.id.lastName_etxt);
                buttonCallback.onFragment1ButtonClick(
                        firstName_etxt.getText().toString(),
                        lastName_etxt.getText().toString());
            }
        });

        return view;
    }

    @Override
    public void onAttach(@NonNull Activity activity) {
        super.onAttach(activity);
        try{
            buttonCallback = (Fragment1Listener) activity;
        }
        catch (ClassCastException e){
            throw new ClassCastException(activity.toString() + "must implement Fragment1Listener");
        }
    }
}